
Network Tools - Task #1778

Add UI tests

03/10/2017 06:54 PM - Luke Murphey

Status: Closed Start date: 03/10/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.7   

Description

Associated revisions

Revision 104 - 03/10/2017 08:25 PM - lukemurphey

Adding parameter support

Can now use customize test execution with arguments

Reference #1778

History

#1 - 03/10/2017 06:57 PM - Luke Murphey

Seeing an error called "'NoneType' object has no attribute 'path'"

#2 - 03/10/2017 06:57 PM - Luke Murphey

Would be nice to move the log file to a different path.

driver = webdriver.Firefox(profile, log_path=make_splunkhome_path(['var', 'log', 'splunk', 'geckodriver.log'])

)

#3 - 03/10/2017 07:11 PM - Luke Murphey

Need to:

1. Make the URL, username and password customizable

2. Allow the use of other browsers

3. Make sure build fails when the test fails

#4 - 03/11/2017 12:18 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
